Index

E |
| Enumerations
| escape
F |
| Functions Global augeas.h internal.h memstream tree
I |
| init_memstream, memstream
| internal.h
M |
| Macros
| make_tree, tree
| MAX_ENV_SIZE
| memstream
P |
| PATH_SEP_CHAR
| print_chars
| print_pos
T |
| tree
U |
| unescape
X |
| xread_file

> char *escape( | const | char | * | text,
> |  | int |  | cnt,
> | const | char | * | extra | )

Escape nonprintable characters within TEXT, similar to how it’s done in C string literals.

> int __aug_init_memstream( | struct | memstream | * | ms | )

Initialize a memstream.

> struct tree *make_tree( |  | char | * | label,
> |  | char | * | value,
> | struct | tree | * | parent,
> | struct | tree | * | children | )

Allocate a new tree node with the given LABEL, VALUE, and CHILDREN, which are not copied.
Fairly arbitrary bound on the length of the path we accept from AUGEAS_SPEC_ENV

> struct memstream

Wrappers to simulate OPEN_MEMSTREAM where that’s not available.
Character separating paths in a list of paths

> int print_chars( |  | FILE | * | out,
> | const | char | * | text,
> |  | int |  | cnt | )

> void print_pos( |  | FILE | * | out,
> | const | char | * | text,
> |  | int |  | pos | )

Print a pretty representation of being at position POS within TEXT

> struct tree

An entry in the global config tree.

> char *unescape( | const | char | * | s,
> |  | int |  | len,
> | const | char | * | extra | )

> char* xread_file( | const | char | * | path | )

Read the contents of file PATH and return them as one long string.
Close